with GNATCOM.Dispinterface;

package MSHTML.ISVGLinearGradientElement_Object is

   type ISVGLinearGradientElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure PutRef_x1
     (This : ISVGLinearGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_x1
     (This : ISVGLinearGradientElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_y1
     (This : ISVGLinearGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_y1
     (This : ISVGLinearGradientElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_x2
     (This : ISVGLinearGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_x2
     (This : ISVGLinearGradientElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_y2
     (This : ISVGLinearGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_y2
     (This : ISVGLinearGradientElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.ISVGLinearGradientElement_Object;

